Subject: Re: [PATCH 1/2] unix-socket: fix memory leak when chdir(3p) fails

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Jan 2025 09:35:13 -0800

Patrick Steinhardt <[email-masked]> writes:

>> > Did you mean
>> > 
>> >     $ meson configure -Db_sanitize=leak
>> >     $ meson test t0301-credential-cache
>
> Oh, yes, I indeed forgot the `b_` prefix. Other than that I wanted to
> abbreviate steps a bit so that I don't have to give the full sequence of
> commands, but my attempt was somewhat lacking :)

Thanks.  It also confused me trying between setup and configure.  

As the use of meson in this project is a fairly recent development,
if we want to entice more people and interest those in the "make"
world, we should try to leave enough droppings for them, even the
meson-novice ones like myself, to try out themselves whenever we
have a chance, and the proposed log message of a commit that adds or
fixes meson related part of the system is one of the good place to
do so.

> You can pass arbitrary arguments via `--test-args`:
>
>     $ meson test -i --test-args=-vix t0301*
>
> `-i` makes the test run interactively so that stdout/stderr remains
> connected to your terminal, which also allows you to use `test_pause` et
> al.
>
>> (The "b_" prefix on "sanitize" confused me as well after reading the
>> commit message).
>
> You've probably been confused by the lack of "b_" in my commit message,
> not by the prefix itself, which was a simple typo.

For me, both were confusing equally ;-)

> ...
> options can be discovered by running `meson configure` in either a build
> directory or the source directory.

Very nice to know.

Thanks.